[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Numb2USA

Insert thousand separators.

## Declaration

Source position: strutils.pp line 218

`function Numb2USA(`
`const S: string`
`):string;`

## Arguments

`S` |  | String to insert thousand separators in.

## Function result

String with thousand separators inserted.

## Description

Numb2USA inserts thousand separators in the string S at the places where they are supposed to be, i.e. every 3 digits. The string S should contain a valid integer number, i.e. no digital number. No checking on this is done.

## Errors

None.